com.tibbo.aggregate.common.expression

## Interface Function

- All Known Implementing Classes:
    AbstractFunction, AbstractSingleValueCollectorFunction, AddColumnsExFunction, AddColumnsFunction, AddRecordsFunction, AdjustRecordLimitsFunction, AggregateFunction, AndFunction, AvailableFunction, AverageFunction, BlueFunction, BooleanFunction, ByteAtFunction, BytesFunction, CallFunctionExFunction, CallFunctionFunction, CaseFunction, CatchFunction, CellFunction, CharacterFunction, CharAtFunction, ClearFunction, ColorFunction, ConvertFunction, CopyBytesFunction, CopyFunction, DataBlockFunction, DateAddFunction, DateCreateFunction, DateDiffFunction, DateFieldFunction, DateFunction, DcFunction, DecodeFunction, DescribeFunction, DescriptionFunction, DistinctFunction, DoubleFunction, DrFunction, DtFunction, EncodeFunction, EntityAvailableFunction, EntityFormatFunction, EntityGroupFunction, EqFunction, EvaluateFunction, EventAvailableFunction, EventFormatFunction, EventGroupFunction, ExpressionEditorOptionsFunction, FailFunction, FetchDataBlockFunction, FilterFunction, FireEventExFunction, FireEventFunction, FloatConstantFunction, FloatFunction, FormatDateFunction, FormatFunction, FormatNumberFunction, FrequencyFunction, FullDescriptionFunction, FunctionAvailableFunction, FunctionGroupFunction, FunctionInputFormatFunction, FunctionOutputFormatFunction, FunctionStatisticDecorator, GeFunction, GetFormatFunction, GetQualityFunction, GetTimestampFunction, GetVariableFunction, GreenFunction, GroupsFunction, GtFunction, HasFieldFunction, IfFunction, IntegerFunction, IntersectFunction, JavaConstructorFunction, JavaMathFunction, JavaMethodFunction, JavaStringFunction, JoinFunction, LdFunction, LeFunction, LinearRegressionFunction, LoginFunction, LongFunction, LtFunction, MaxFunction, MedianFunction, MinFunction, ModeFunction, NeFunction, OrFunction, ParseDateFunction, PrintFunction, PrintPeriodFunction, ProcessBindingsFunction, RecordsFunction, RedFunction, RemoveColumnsFunction, RemoveRecordsFunction, RgbFunction, SelectFunction, SetFunction, SetMultipleFunction, SetNestedFieldFunction, SetQualityFunction, SetTimestampFunction, SetVariableExFunction, SetVariableFieldFunction, SetVariableFunction, SetVariableRecordExFunction, SetVariableRecordFunction, SimpleMovingAverageFunction, SimpleMovingMedianFunction, SleepFunction, SortFunction, SplitFunction, StandardDeviationFunction, StandardErrorMeanFunction, StFunction, StringFunction, SubtableFunction, SumFunction, TableFromCSVFunction, TableFromJSONFunction, TableFunction, TableToJSONFunction, TimeFunction, TimestampFunction, TraceFunction, TypeConversionFunction, UnionFunction, UrlDecodeFunction, UrlEncodeFunction, UserFunction, ValidateFunction, VariableAvailableFunction, VariableFormatFunction, VariableGroupFunction, VariableReadableFunction, VariableWritableFunction, VarianceFunction, WriteLogFunction, XPathFunction

      public interface Function

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ABSOLUTE`
    `static java.lang.String` | `EXPRESSION_EDITOR_OPTIONS`
    `static java.lang.String` | `GROUP_COLOR_PROCESSING`
    `static java.lang.String` | `GROUP_CONTEXT_RELATED`
    `static java.lang.String` | `GROUP_DATA_BLOCK_PROCESSING`
    `static java.lang.String` | `GROUP_DATA_TABLE_PROCESSING`
    `static java.lang.String` | `GROUP_DATE_TIME_PROCESSING`
    `static java.lang.String` | `GROUP_MATH`
    `static java.lang.String` | `GROUP_NUMBER_PROCESSING`
    `static java.lang.String` | `GROUP_OTHER`
    `static java.lang.String` | `GROUP_STRING_PROCESSING`
    `static java.lang.String` | `GROUP_SYSTEM`
    `static java.lang.String` | `GROUP_TYPE_CONVERSION`
    `static java.lang.String` | `HAS_RESOLVER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `execute(Evaluator evaluator, EvaluationEnvironment environment, java.lang.Object... parameters)`
    `AttributedObject` | `executeAttributed(Evaluator evaluator, EvaluationEnvironment environment, AttributedObject... parameters)`
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getParametersFootprint()`
    `java.lang.String` | `getReturnValue()`

- - ### Field Detail

    - #### GROUP_CONTEXT_RELATED

          static final java.lang.String GROUP_CONTEXT_RELATED

    - #### GROUP_DATA_TABLE_PROCESSING

          static final java.lang.String GROUP_DATA_TABLE_PROCESSING

    - #### GROUP_NUMBER_PROCESSING

          static final java.lang.String GROUP_NUMBER_PROCESSING

    - #### GROUP_TYPE_CONVERSION

          static final java.lang.String GROUP_TYPE_CONVERSION

    - #### GROUP_DATE_TIME_PROCESSING

          static final java.lang.String GROUP_DATE_TIME_PROCESSING

    - #### GROUP_SYSTEM

          static final java.lang.String GROUP_SYSTEM

    - #### GROUP_COLOR_PROCESSING

          static final java.lang.String GROUP_COLOR_PROCESSING

    - #### GROUP_STRING_PROCESSING

          static final java.lang.String GROUP_STRING_PROCESSING

    - #### GROUP_DATA_BLOCK_PROCESSING

          static final java.lang.String GROUP_DATA_BLOCK_PROCESSING

    - #### GROUP_MATH

          static final java.lang.String GROUP_MATH

    - #### GROUP_OTHER

          static final java.lang.String GROUP_OTHER

    - #### ABSOLUTE

          static final java.lang.String ABSOLUTE

      See Also:
        Constant Field Values

    - #### HAS_RESOLVER

          static final java.lang.String HAS_RESOLVER

      See Also:
        Constant Field Values

    - #### EXPRESSION_EDITOR_OPTIONS

          static final java.lang.String EXPRESSION_EDITOR_OPTIONS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getCategory

          java.lang.String getCategory()

    - #### getReturnValue

          java.lang.String getReturnValue()

    - #### getParametersFootprint

          java.lang.String getParametersFootprint()

    - #### getDescription

          java.lang.String getDescription()

    - #### executeAttributed

          AttributedObject executeAttributed(Evaluator evaluator,
                                             EvaluationEnvironment environment,
                                             AttributedObject... parameters)
                                      throws EvaluationException

      Throws:
        `EvaluationException`

    - #### execute

          java.lang.Object execute(Evaluator evaluator,
                                   EvaluationEnvironment environment,
                                   java.lang.Object... parameters)
                            throws EvaluationException

      Throws:
        `EvaluationException`